GCLOUD_CONTAINER_CLUSTERS_GET-CREDENTIALS(1)

NAME

gcloud container clusters get-credentials - fetch credentials for a running cluster

SYNOPSIS

gcloud container clusters get-credentials NAME [--zone=ZONE, -z ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Updates a kubeconfig file with appropriate credentials to point kubectl at a Container Engine Cluster. By default, credentials are written to HOME/.kube/config. You can provide an alternate path by setting the KUBECONFIG environment variable. See https://cloud.google.com/container-engine/docs/kubectl for kubectl documentation.

POSITIONAL ARGUMENTS

    NAME
        The name of the cluster to get credentials for. Overrides the default container/cluster property value for this command invocation.

FLAGS

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.